{% extends 'base.html.twig' %}

{% block title %}Article index{% endblock %}

{% block body %}
<h1>Article index</h1>
<table class="table">
    <thead>
        <tr>
            <th>Id</th>
            <th>Title</th>
            <th>Description</th>
            <th>actions</th>
        </tr>
    </thead>
    <tbody>
        {% for article in articles %}
        <tr>
            <td>{{ article.id }}</td>
            <td>{{ article.title }}</td>
            <td>{{ article.description }}</td>
            <td>
                <a href="{{ path('article_show', {'id': article.id}) }}">show</a>
                <a href="{{ path('article_edit', {'id': article.id}) }}">edit</a>
                <a href="{{ path('article_delete', {'id': article.id}) }}">Delete</a>
            </td>
        </tr>
        {% else %}
        <tr>
            <td colspan="4">no records found</td>
        </tr>
        {% endfor %}
    </tbody>
</table>

<a href="{{ path('article_new') }}">Create new</a>

<div class="container-fluid">
    <form name="NewPostForm" action="/new_post_new" method="POST" enctype="multipart/form-data">
        <div class="form-group" style="border:2px solid #ccc;">
            <ul class="nav navbar custom_ul_1">
                <li class="nav-item custome_li_1 active_li_1">
                    <a href="#">Post</a>
                </li>
                <li class="nav-item custome_li_1">
                    <a href="#">Article</a>
                </li>
                <li class="nav-item custome_li_1">
                    <a href="#">Image</a>
                </li>
                <li class="nav-item custome_li_1">
                    <a href="#">Video</a>
                </li>
            </ul>
            <textarea class="form-control custom_text_area" placeholder="write a post or share a link" cols="30"
                rows="5" name="text"></textarea>
            <div class="image-upload" style="padding-left:10px;">
                <label for="file-input">
                    <i class="fa fa-paperclip fa-2x fa-flip-horizontal"></i>
                </label>
                <input id="file-input" type="file" name="images" />
            </div>
        </div>
        <input type="submit" value="Post" class="custom_post_btn right_bottom_submit_btn">
    </form>
</div><br>
<div class="container-fluid">
        {% if NewPosts is defined %}
            {% for NewPost in NewPosts %}
            <div class="col-xl-6 col-lg-6 col-md-8 col-sm-10 col-xs-12 single_post_outer_div">
                <p style="margin-bottom:0px;">{{ NewPost.only_text }}</p>
                <img src="{{ asset('assets/images/' ~ NewPost.only_image) }}" style="max-height:300px;width:100%;">
                <ul>
                    <li>Posted By-></li>
                    <li>Posted on->{{NewPost.date|date("Y/m/d h:i:s")}}</li>
                </ul>
            </div><br>
            {% else %}
            no records found
            
            {% endfor %}
        {% endif %}

</div>
{% endblock %}